## mycompiler.mystatement
Class Statement

    java.lang.Object
      mycompiler.mystatement.Statement

Direct Known Subclasses:
  Block, EmptyStmt, ExprStmt, IfStmt, LocalVarDecl, Return, WhileStmt

    public abstract class Statement

extends java.lang.Object

Constructor Summary
`Statement()`

Method Summary
`abstract void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`abstract CTripleSet` `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Throws:
    `JVMCodeException`

### TRStatement

    public abstract CTripleSet TRStatement(CSubstitutionSet sigma,
                                           CTypeAssumptionSet V,
                                           CSupportData supportData)
                                    throws CTypeReconstructionException

  Throws:
    `CTypeReconstructionException`